<?php
/***************************************************************
*  Copyright notice
*  
*  (c) 2007 Benjamin Niediek <ben(at)channel-eight.de>
*  All rights reserved
*
*  This script is part of the Typo3 project. The Typo3 project is 
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
* 
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
* 
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/** 
 * Script 'class.tx_perfectlightbox.php'
 *
 * @author	Benjamin Niediek <ben(at)channel-eight.de>
 */

class tx_perfectlightbox {
    var $cObj; // Reference to the calling object.

    function main($content,$conf) {	
		if ($this->cObj->data['tx_perfectlightbox_activate']==1) {
			$lightboxParams = 'rel="lightbox"';
		}
		if ($this->cObj->data['tx_perfectlightbox_activate']==1
		AND $this->cObj->data['tx_perfectlightbox_imageset']==1) {
			$lightboxParams = 'rel="lightbox[lb'.$this->cObj->data['uid'].']"';
		}
		if ($this->cObj->data['tx_perfectlightbox_activate']==1
		AND $this->cObj->data['tx_perfectlightbox_imageset']==1
		AND $this->cObj->data['tx_perfectlightbox_presentation']==1) {
			$lightboxParams = 'rel="lightbox[presentlb'.$this->cObj->data['uid'].']"';
		}
		if ($this->cObj->data['tx_perfectlightbox_activate']==1
		AND $this->cObj->data['tx_perfectlightbox_imageset']==1
		AND $this->cObj->data['tx_perfectlightbox_presentation']==0
		AND $this->cObj->data['tx_perfectlightbox_slideshow']==1) {
			$lightboxParams = 'rel="lightbox[lb'.$this->cObj->data['uid'].'slideshow]"';
		}
		if ($this->cObj->data['tx_perfectlightbox_activate']==1
		AND $this->cObj->data['tx_perfectlightbox_imageset']==1
		AND $this->cObj->data['tx_perfectlightbox_presentation']==1
		AND $this->cObj->data['tx_perfectlightbox_slideshow']==1) {
			$lightboxParams = 'rel="lightbox[presentlb'.$this->cObj->data['uid'].'slideshow]"';
		}
		#print($this->cObj->data['image_link']);
		if ($this->cObj->data['image_link']!='') {
			$lightboxParams = '';
		}
        return '<a href="'.$content["url"].'"'.$content["targetParams"].' '.$content["aTagParams"].' '.$lightboxParams.'>'.$linkImg;
    }
	
    function useGlobal($content,$conf) {	
		if ($this->cObj->data['image_zoom']==1) {
			$lightboxParams = 'rel="lightbox[lb'.$this->cObj->data['uid'].']"';
		}
		if ($this->cObj->data['image_zoom']==1
		AND $this->cObj->data['tx_perfectlightbox_presentation']==1) {
			$lightboxParams = 'rel="lightbox[presentlb'.$this->cObj->data['uid'].']"';
		}
		if ($this->cObj->data['image_zoom']==1
		AND $this->cObj->data['tx_perfectlightbox_presentation']==0
		AND $this->cObj->data['tx_perfectlightbox_slideshow']==1) {
			$lightboxParams = 'rel="lightbox[lb'.$this->cObj->data['uid'].'slideshow]"';
		}
		if ($this->cObj->data['image_zoom']==1
		AND $this->cObj->data['tx_perfectlightbox_presentation']==1
		AND $this->cObj->data['tx_perfectlightbox_slideshow']==1) {
			$lightboxParams = 'rel="lightbox[presentlb'.$this->cObj->data['uid'].'slideshow]"';
		}
		if ($this->cObj->data['image_link']!='') {
			$lightboxParams = '';
		}
		#print ($lightboxParams);
        return '<a href="'.$content["url"].'"'.$content["targetParams"].' '.$content["aTagParams"].' '.$lightboxParams.'>'.$linkImg;
    }
}
// XCLASS inclusion code
if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/perfectlightbox/class.tx_perfectlightbox.php']) {
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/perfectlightbox/class.tx_perfectlightbox.php']);
}
?>